Bug 811408 - the xmlrpc function RedHat.addAttachment() doesn't work
the xmlrpc function RedHat.addAttachment() doesn't work
Status: CLOSED CURRENTRELEASE
Product: Bugzilla
Classification: Community
Component: WebService (Show other bugs)
4.2
Unspecified Unspecified
unspecified Severity urgent (vote)
: ---
: ---
Assigned To: Simon Green
: Reopened
Depends On:
Blocks: BZ42
  Show dependency treegraph
 
Reported: 2012-04-10 20:07 EDT by Tony Fu
Modified: 2014-10-12 18:47 EDT (History)
3 users (show)

See Also:
Fixed In Version: 4.2.0-0.b24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-16 00:55:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tony Fu 2012-04-10 20:07:18 EDT
Description of problem:


One of the red hat compat bz xmlrpc function RedHat.addAttachment() doesn't work on the rh bz4.2. 

How reproducible:


Steps to Reproduce:
1. Call RedHat.addAttachment() function from a script

  
Actual results:
The following error message shows
Bugzilla xmlrpc service error. DBD::mysql::db do failed: Unknown column 'isurl' in 'field list' [for Statement "INSERT INTO attachments (bug_id, creation_ts, modification_time, filename, description, mimetype, ispatch, isurl, isprivate, submitter_id) VALUES (?,?,?,?,?,?,?,?,?,?)"] at /loader/0xfe36b70/Bugzilla/Extension/RedHat/WebService/Bugzilla.pm line 3100 Bugzilla::Extension::RedHat::WebService::Bugzilla::addAttachment('Bugzilla::Extension::RedHat::WebService::Bugzilla', 'HASH(0x109c9420)') called at /usr/lib/perl5/vendor_perl/5.8.8/SOAP/Lite.pm line 2740 eval {...} called at /usr/lib/perl5/vendor_perl/5.8.8/SOAP/Lite.pm line 2725 eval {...} called at /usr/lib/perl5/vendor_perl/5.8.8/SOAP/Lite.pm line 2691 SOAP::Server::handle('Bugzilla::WebService::Server::XMLRPC=HASH(0x1063e920)', '<?xml version="1.0" encoding="UTF-8"?><methodCall><methodName...') called at /usr/lib/perl5/vendor_perl/5.8.8/SOAP/Transport/HTTP.pm line 387 SOAP::Transport::HTTP::Server::handle('Bugzilla::WebService::Server::XMLRPC=HASH(0x1063e920)') called at /usr/lib/perl5/vendor_perl/5.8.8/SOAP/Transport/HTTP.pm line 508 


Expected results:
A new attachment should be added without any error.


Additional info:
Comment 4 Tony Fu 2012-04-13 23:37:22 EDT
Seems this function still doesn't work on partner-bugzilla, although this time has a different piece of error message

DBD::mysql::db do failed: You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near ')' at line 4 [for Statement "INSERT INTO attachments (bug_id, creation_ts, modification_time, filename, description, mimetype, ispatch, isprivate, submitter_id) VALUES (?,?,?,?,?,?,?,?,?,?)"] at /loader/0xa63ab70/Bugzilla/Extension/RedHat/WebService/Bugzilla.pm line 3100 Bugzilla::Extension::RedHat::WebService::Bugzilla::addAttachment('Bugzilla::Extension::RedHat::WebService::Bugzilla', 'HASH(0xb1cd4a0)') called at /usr/lib/perl5/vendor_perl/5.8.8/SOAP/Lite.pm line 2740 eval {...} called at /usr/lib/perl5/vendor_perl/5.8.8/SOAP/Lite.pm line 2725 eval {...} called at /usr/lib/perl5/vendor_perl/5.8.8/SOAP/Lite.pm line 2691 SOAP::Server::handle('Bugzilla::WebService::Server::XMLRPC=HASH(0xae42960)', '<?xml version="1.0" encoding="UTF-8"?><methodCall><methodName...') called at /usr/lib/perl5/vendor_perl/5.8.8/SOAP/Transport/HTTP.pm line 387

Note You need to log in before you can comment on or make changes to this bug.